Subject: Re: [video-codec] Collaboration between IETF netvc and ISO/IEC WG1 (JPEG Committee)

From: "Mo Zanaty (mzanaty)" <[email-masked]>
Date: Wed, 6 Apr 2016 22:59:21 +0000

NETVC WG,

Please review the attached (informal) liaison statement from JPEG XS, and provide feedback (on our list or directly to the chairs) on the proposed collaboration. Please provide feedback by April 20 (roughly 2 weeks).

Thanks,
Mo (as co-chair)

From: mzanaty <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, April 6, 2016 at 6:41 PM
To: Antonin Descampe <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Timothy B. Terriberry" <[email-masked]<mailto:[email-masked]>>, Tessa Fallon <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Thomas Richter <[email-masked]<mailto:[email-masked]>>, Touradj Ebrahimi <[email-masked]<mailto:[email-masked]>>
Subject: Re: Collaboration between IETF netvc and ISO/IEC WG1 (JPEG Committee)

Dear Antonin,

Thank you for making us aware of your JPEG XS project. I will share this information with the NETVC working group and we will collectively provide a formal response after discussing this. My initial informal thoughts are the following.

1. We always welcome collaboration in the areas of image and video coding.
2. The "lightweight" and "visually lossless" aspects of your charter may align better with the IETF CELLAR working group than NETVC. I have copied the CELLAR chairs Tim Terriberry and Tessa Fallon. CELLAR is focused on FFV1 video coding for lossless archival.
3. While NETVC is unlikely to be lightweight or visually lossless in most applications, it may benefit from such requirements for internal reference frame buffer management. This can mitigate the issues of higher resolutions and bit depths that stress memory and memory bandwidth resources in the encoder and decoder (as well as camera/input and display/output buffers).

Best regards,
Mo Zanaty
IETF NETVC co-chair

From: Antonin Descampe <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, April 5, 2016 at 5:50 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, mzanaty <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Thomas Richter <[email-masked]<mailto:[email-masked]>>, Touradj Ebrahimi <[email-masked]<mailto:[email-masked]>>
Subject: Collaboration between IETF netvc and ISO/IEC WG1 (JPEG Committee)

Dear Adam, Mo,
(cc Nathan Egge, Thomas Richter and WG1 Convener Touradj Ebrahimi)

Following a discussion between Nathan Egge and Thomas Richter (JPEG Committee member) at DCC, it appeared that there are some shared requirements between IETF netvc and our recent initiative JPEG XS, in particular around your low-latency use cases.

JPEG XS aims at the standardization of a low-latency lightweight image coding system. As editor of this new project, I therefore wanted to let you know about this activity and see with you if any collaboration might be relevant. We recently released a Call for Proposals including detailed uses cases and requirements, that you will find here:

https://jpeg.org/items/20160311_cfp_xs.html

I also wrote a short summary that you will find below. The standardization process is ongoing and our use cases and requirements document will surely be enriched over time. So any contribution on that matter is welcome. And on the other side, please let us know if and how we could contribute to your project. In particular, you might be interested in our AIC (Advanced Image Coding) project, that standardizes quality evaluation methodologies and procedures:

https://jpeg.org/aic/index.html

Looking forward to hearing from you,

Kind regards,

Antonin Descampe
JPEG XS Editor

—
JPEG XS is a new project from the JPEG Committee aiming at the standardization of a low-latency lightweight image coding system. Our main use cases are transport of 4k video (and beyond) over SDI and IP links, frame buffer compression, and optimized video storage. The main requirements are a visually lossless quality, a compression ratio ranging from 2 to 6, a low latency (below 32 lines for the whole encoder-decoder chain) and low complexity both in hardware and software. The timeline is as follows: proposals overview have to be submitted by May 23rd, 2016, and complete evaluation of  the proposals will be done by October at which point technology choices will be made.
—

Début du message réexpédié :

De: Thomas Richter <[email-masked]<mailto:[email-masked]>>
Objet: Rép : Collaboration with netvc
Date: 1 avril 2016 01:47:09 UTC+2
À: Nathan Egge <[email-masked]<mailto:[email-masked]>>, Antonin Descampe <[email-masked]<mailto:[email-masked]>>, Touradj Ebrahimi <[email-masked]<mailto:[email-masked]>>

Hi Antonin, hi Touradj,

just reporting from the DCC. I spoke (by pure chance) with Nathan Egge
from Mozilla (xiph.org<http://xiph.org>), and we came about that there is a similar
requirement for a compression in netvc. We should probably send out a
liasion document to them and include them in the process.

Please find the contact information from Nathan included below.

Thanks,
Thomas

It was good talking to you about the upcoming JPEG XS standard.  It
looks like there are some shared requirements with the netvc working
group at the IETF, particularly around some low-latency use cases we are
committed to supporting (e.g., iptv, video-conferencing, game streaming,
screen-casting, telepresence, teleoperation, etc.).

The netvc working group documents (including the requirements document)
can be found here:

https://datatracker.ietf.org/wg/netvc/documents/
https://tools.ietf.org/html/draft-ietf-netvc-requirements-00#section-2

In addition, I just had a look at the netvc charter and it specifically
identifies the need to  liaise with groups at other SDOs to seek
cross-group review.  See the Collaboration section in:

https://datatracker.ietf.org/wg/netvc/charter/

I would suggest contacting the working group chairs Adam Roach and Mo
Zanaty for more information.

Sincerely,

Nathan

--
Antonin Descampe - Ph.D.
intoPIX SA, Compression technologist
+32 10 23 84 70 (Office)
[email-masked]<mailto:[email-masked]>

CONFIDENTIALITY NOTICE:
Unless otherwise explicitly or implicitly stated, this email message and any of its attachments are the property of intoPIX SA and/or intoPIX America, Inc. and are strictly confidential. If you are an unintended recipient, please notify the sender immediately.